diff --git a/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java b/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
index 8153e701b..f8719f5ed 100644
--- a/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
+++ b/game/client/src/main/java/net/minecraft/client/gui/ScreenSoundTest.java
@@ -3,8 +3,8 @@ package net.minecraft.client.gui;
 import net.minecraft.client.gui.modelviewer.elements.ListenerButtonElement;
 import net.minecraft.client.gui.modelviewer.elements.ListenerTextFieldElement;
 import net.minecraft.client.gui.modelviewer.elements.IListenerElement;
-import net.minecraft.client.render.font.Alignment;
-import net.minecraft.client.render.tessellator.Tessellator;
+import net.minecraft.client.render.renderer.GLRenderer;
+import net.minecraft.client.render.tessellator.TessellatorGeneral;
 import net.minecraft.client.sound.SoundEngine;
 import net.minecraft.client.sound.SoundEvent;
 import net.minecraft.client.sound.SoundRepository;
@@ -15,7 +15,6 @@ import net.minecraft.core.util.helper.MathHelper;
 import org.jetbrains.annotations.NotNull;
 import org.jetbrains.annotations.Nullable;
 import org.lwjgl.input.Keyboard;
-import org.lwjgl.opengl.GL11;
 import paulscode.sound.SoundSystem;
 
 import java.io.File;
@@ -45,112 +44,117 @@ public class ScreenSoundTest extends Screen {
         initRepos();
     }
 
-    public void initRepos(){
-        allEntries = SoundRepository.SOUNDS.getAllEvents();
+    public void initRepos() {
+        this.allEntries = SoundRepository.SOUNDS.getAllEvents();
 
-        currentEntry = allEntries.get(0);
-        entryIndex = 0;
+        this.currentEntry = this.allEntries.get(0);
+        this.entryIndex = 0;
     }
+
     @Override
-    public void keyPressed(char eventCharacter, int eventKey, int mx, int my)
-    {
+    public void keyPressed(char eventCharacter, int eventKey, int mx, int my) {
         if (eventKey == Keyboard.KEY_ESCAPE) {
-            mc.displayScreen(parentScreen);
+            this.mc.displayScreen(this.parentScreen);
         }
-        List<ButtonElement> _buttons = new ArrayList<>(buttons);
-        for (ButtonElement button : _buttons){
-            if (button instanceof IListenerElement && button.isHovered(mx, my)){
-                ((IListenerElement) button).onKeyTyped(eventCharacter, eventKey);
+        List<ButtonElement> _buttons = new ArrayList<>(this.buttons);
+        for (ButtonElement button : _buttons) {
+            if (button instanceof IListenerElement<?> element && button.isHovered(mx, my)) {
+                element.onKeyTyped(eventCharacter, eventKey);
             }
         }
     }
+
     @Override
-    public void tick(){
-        List<ButtonElement> _buttons = new ArrayList<>(buttons);
-        for (ButtonElement button : _buttons){
-            if (button instanceof ListenerButtonElement){
-                ((ListenerButtonElement) button).tick();
+    public void tick() {
+        List<ButtonElement> _buttons = new ArrayList<>(this.buttons);
+        for (ButtonElement button : _buttons) {
+            if (button instanceof ListenerButtonElement element) {
+                element.tick();
             }
         }
     }
-    public void init()
-    {
 
-        top = TOP_SPACING;
-        bottom = height - (BUTTON_SPACING + 20 + BUTTON_SPACING);
-        add(new ListenerButtonElement(0, width/2 - 100, height - (BUTTON_SPACING + 20), 200, 20, I18n.getInstance().translateKey("gui.sound_test.button.done")).setActionListener(() -> {
+    public void init() {
+
+        this.top = TOP_SPACING;
+        this.bottom = this.height - (BUTTON_SPACING + 20 + BUTTON_SPACING);
+        add(new ListenerButtonElement(0, this.width / 2 - 100, this.height - (BUTTON_SPACING + 20), 200, 20, I18n.getInstance().translateKey("gui.sound_test.button.done")).setActionListener(() -> {
             removed();
-            mc.displayScreen(null);
+            this.mc.displayScreen(null);
         }));
 
-        leftEntry = add(new ListenerButtonElement(11, width - (20 + BUTTON_SPACING) * 2, bottom - (BUTTON_SPACING + 20) * 2, 20, 20, "<")
+        this.leftEntry = add(new ListenerButtonElement(11, this.width - (20 + BUTTON_SPACING) * 2, this.bottom - (BUTTON_SPACING + 20) * 2, 20, 20, "<")
             .setActionListener(() -> cycleEntry(-1)));
-        add(new ListenerButtonElement(12, width - (20 + BUTTON_SPACING) * 1, bottom - (BUTTON_SPACING + 20) * 2, 20, 20, ">")
+        add(new ListenerButtonElement(12, this.width - (20 + BUTTON_SPACING), this.bottom - (BUTTON_SPACING + 20) * 2, 20, 20, ">")
             .setActionListener(() -> cycleEntry(1)));
 
-        ListenerButtonElement b = add(new ListenerButtonElement(20, width/2 - 100, bottom - (BUTTON_SPACING + 20), 200, 20, I18n.getInstance().translateKey("gui.sound_test.button.play"))
+        ListenerButtonElement b = add(new ListenerButtonElement(20, this.width / 2 - 100, this.bottom - (BUTTON_SPACING + 20), 200, 20, I18n.getInstance().translateKey("gui.sound_test.button.play"))
             .setActionListener(this::playEntry)
         );
         b.playSound = false;
-        add(new ListenerButtonElement(22, width/2 + 100 + BUTTON_SPACING, bottom - (BUTTON_SPACING + 20), 20, 20, "X")
+        add(new ListenerButtonElement(22, this.width / 2 + 100 + BUTTON_SPACING, this.bottom - (BUTTON_SPACING + 20), 20, 20, "X")
             .setActionListener(this::stopSound)
         );
 
 
-        add(new ListenerButtonElement(30, BUTTON_SPACING, bottom - (BUTTON_SPACING + 20), 20, 20, "")
-            .setActionListener(() -> FileOpener.open(new File(mc.getMinecraftDir(), "resources")))
+        add(new ListenerButtonElement(30, BUTTON_SPACING, this.bottom - (BUTTON_SPACING + 20), 20, 20, "")
+            .setActionListener(() -> FileOpener.open(new File(this.mc.getMinecraftDir(), "resources")))
             .setTextures("minecraft:gui/misc/button_folder", "minecraft:gui/misc/button_folder_highlighted", "minecraft:gui/misc/button_folder"));
 
-        add(new ListenerButtonElement(31, 20 + BUTTON_SPACING * 2, bottom - (BUTTON_SPACING + 20), 20, 20, "V"))
-            .setActionListener(() -> showURL = !showURL);
+        add(new ListenerButtonElement(31, 20 + BUTTON_SPACING * 2, this.bottom - (BUTTON_SPACING + 20), 20, 20, "V"))
+            .setActionListener(() -> this.showURL = !this.showURL);
 
-        add(new ListenerButtonElement(32, 40 + BUTTON_SPACING * 3, bottom - (BUTTON_SPACING + 20), 40, 20, I18n.getInstance().translateKey("gui.sound_test.button.reload")))
+        add(new ListenerButtonElement(32, 40 + BUTTON_SPACING * 3, this.bottom - (BUTTON_SPACING + 20), 40, 20, I18n.getInstance().translateKey("gui.sound_test.button.reload")))
             .setActionListener(() -> {
-                mc.sndManager = new SoundEngine();
-                mc.sndManager.init(mc.gameSettings);
+                this.mc.sndManager = new SoundEngine();
+                this.mc.sndManager.init(this.mc.gameSettings);
                 initRepos();
             });
 
-        ListenerTextFieldElement volumeField = new ListenerTextFieldElement(parentScreen, mc.font, width - BUTTON_SPACING - 60, bottom - (BUTTON_SPACING + 20) * 3, 60, 20, String.valueOf(volume), "Volume");
+        ListenerTextFieldElement volumeField = new ListenerTextFieldElement(this.parentScreen, this.mc.font, this.width - BUTTON_SPACING - 60, this.bottom - (BUTTON_SPACING + 20) * 3, 60, 20, String.valueOf(this.volume), "Volume");
         add(volumeField)
             .setPrefaceText("Vol: ")
             .setKeyListener(key -> {
                 try {
-                    volume = Float.parseFloat(volumeField.getText());
-                } catch (Exception ignored){}})
+                    this.volume = Float.parseFloat(volumeField.getText());
+                } catch (Exception ignored) {
+                }
+            })
             .setActionListener(() -> {
-                if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)){
+                if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)) {
                     volumeField.setText(String.valueOf(1));
-                    volume = 1;
-                }});
+                    this.volume = 1;
+                }
+            });
 
-        ListenerTextFieldElement pitchField = new ListenerTextFieldElement(parentScreen, mc.font, width - BUTTON_SPACING - 60, bottom - (BUTTON_SPACING + 20) * 4, 60, 20, String.valueOf(pitch), "Pitch");
+        ListenerTextFieldElement pitchField = new ListenerTextFieldElement(this.parentScreen, this.mc.font, this.width - BUTTON_SPACING - 60, this.bottom - (BUTTON_SPACING + 20) * 4, 60, 20, String.valueOf(this.pitch), "Pitch");
         add(pitchField)
             .setPrefaceText("Pitch: ")
             .setKeyListener(key -> {
                 try {
-                    pitch = Float.parseFloat(pitchField.getText());
-                } catch (Exception ignored){}})
+                    this.pitch = Float.parseFloat(pitchField.getText());
+                } catch (Exception ignored) {
+                }
+            })
             .setActionListener(() -> {
-                if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)){
+                if (Keyboard.isKeyDown(Keyboard.KEY_LCONTROL)) {
                     pitchField.setText(String.valueOf(1));
-                    pitch = 1;
-                }});
+                    this.pitch = 1;
+                }
+            });
     }
 
-    protected void buttonClicked(@NotNull ButtonElement button)
-    {
+    protected void buttonClicked(@NotNull ButtonElement button) {
     }
 
-    protected void buttonReleased(@NotNull ButtonElement button)
-    {
+    protected void buttonReleased(@NotNull ButtonElement button) {
     }
 
     protected void cycleEntry(int offset) {
-        if (allEntries.size() <= 0) return;
-        int index = (entryIndex + offset + allEntries.size()) % allEntries.size();
-        currentEntry = allEntries.get(index);
-        entryIndex = index;
+        if (this.allEntries.size() <= 0) return;
+        int index = (this.entryIndex + offset + this.allEntries.size()) % this.allEntries.size();
+        this.currentEntry = this.allEntries.get(index);
+        this.entryIndex = index;
     }
 
     public void render(int mx, int my, float partialTick) {
@@ -158,47 +162,45 @@ public class ScreenSoundTest extends Screen {
 
         super.render(mx, my, partialTick);
 
-        drawStringCenteredNoShadow(fontRenderer, I18n.getInstance().translateKey("gui.sound_test.label.title"), width/2, 5, 0xFFFFFF);
+        drawStringCenteredNoShadow(this.fontRenderer, I18n.getInstance().translateKey("gui.sound_test.label.title"), this.width / 2, 5, 0xFFFFFF);
 
         final String msg = I18n.getInstance().translateKey("gui.sound_test.label.select_entry");
-        drawStringNoShadow(this.fontRenderer, msg, leftEntry.getX() - BUTTON_SPACING - MathHelper.ceil(fontRenderer.stringWidthDouble(msg)), leftEntry.getY() + 6, 0xFFFFFF);
+        drawStringNoShadow(this.fontRenderer, msg, this.leftEntry.getX() - BUTTON_SPACING - MathHelper.ceil(this.fontRenderer.stringWidthDouble(msg)), this.leftEntry.getY() + 6, 0xFFFFFF);
 
         StringBuilder builder = new StringBuilder();
-        builder.append(I18n.getInstance().translateKeyAndFormat("gui.sound_test.label.id", currentEntry == null ? null : currentEntry.getEventID())).append("\n");
-        builder.append(I18n.getInstance().translateKeyAndFormat("gui.sound_test.label.subtitle", currentEntry == null ? null : currentEntry.getSubtitleKey(), currentEntry == null ? null : currentEntry.getSubtitleTranslated())).append("\n");
+        builder.append(I18n.getInstance().translateKeyAndFormat("gui.sound_test.label.id", this.currentEntry == null ? null : this.currentEntry.getEventID())).append("\n");
+        builder.append(I18n.getInstance().translateKeyAndFormat("gui.sound_test.label.subtitle", this.currentEntry == null ? null : this.currentEntry.getSubtitleKey(), this.currentEntry == null ? null : this.currentEntry.getSubtitleTranslated())).append("\n");
 //        builder.append(I18n.getInstance().translateKeyAndFormat("gui.sound_test.label.url", String.valueOf(currentEntry == null ? null : (showURL ? currentEntry.url : "REDACTED")))).append("\n");
-        this.fontRenderer.renderWidthConstrained(Tessellator.instance, builder, 5, this.top + 30, this.width - 10).setShadow().setColor(0xBBBBBB).call();
+        this.fontRenderer.renderWidthConstrained(builder, 5, this.top + 30, this.width - 10).setShadow().setColor(0xBBBBBB).call();
     }
+
     @Override
     public void renderBackground() {
         super.renderBackground();
 
-        if (mc.currentWorld == null)
-        {
-            Tessellator tessellator = Tessellator.instance;
-            mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+        if (this.mc.currentWorld == null) {
+            TessellatorGeneral tessellator = GLRenderer.getTessellator();
+            this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             float scale = 32F;
             tessellator.startDrawingQuads();
-            tessellator.setColorOpaque_I(0x202020);
+            tessellator.setColorOpaque1i(0x202020);
 
-            tessellator.addVertexWithUV(0,      bottom, 0.0D,   0,              bottom / scale);
-            tessellator.addVertexWithUV(width,  bottom, 0.0D,   width / scale,  bottom / scale);
-            tessellator.addVertexWithUV(width,  top,    0.0D,   width / scale,  top / scale);
-            tessellator.addVertexWithUV(0,      top,    0.0D,   0,              top / scale);
+            tessellator.addVertexWithUV(0, this.bottom, 0.0D, 0, this.bottom / scale);
+            tessellator.addVertexWithUV(this.width, this.bottom, 0.0D, this.width / scale, this.bottom / scale);
+            tessellator.addVertexWithUV(this.width, this.top, 0.0D, this.width / scale, this.top / scale);
+            tessellator.addVertexWithUV(0, this.top, 0.0D, 0, this.top / scale);
 
             tessellator.draw();
-        }
-        else
-        {
-            drawRect(0, 0, width, top, 0x5F000000);
-            drawRect(0, bottom, width, height, 0x5F000000);
+        } else {
+            drawRect(0, 0, this.width, this.top, 0x5F000000);
+            drawRect(0, this.bottom, this.width, this.height, 0x5F000000);
         }
     }
 
     public void playEntry() {
-        if (currentEntry == null) return;
-        mc.sndManager.playSoundWithIdAtPos(currentEntry.getRandomEntry(), SoundCategory.ENTITY_SOUNDS, 0, 0, 0, 1, 1, "debug");
+        if (this.currentEntry == null) return;
+        this.mc.sndManager.playSoundWithIdAtPos(this.currentEntry.getRandomEntry(), SoundCategory.ENTITY_SOUNDS, 0, 0, 0, 1, 1, "debug");
     }
 
     public void stopSound() {
@@ -207,19 +209,17 @@ public class ScreenSoundTest extends Screen {
         soundSystem.stop("debug");
     }
 
-    private void overlayBackground(int minX, int maxX, int minY, int maxY)
-    {
-        if (mc.currentWorld == null)
-        {
-            Tessellator tessellator = Tessellator.instance;
-            mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
-            GL11.glColor4f(1.0F, 1.0F, 1.0F, 1.0F);
+    private void overlayBackground(int minX, int maxX, int minY, int maxY) {
+        if (this.mc.currentWorld == null) {
+            TessellatorGeneral tessellator = GLRenderer.getTessellator();
+            this.mc.textureManager.loadTexture("/assets/minecraft/textures/gui/background.png").bind();
+            GLRenderer.setColor4f(1.0F, 1.0F, 1.0F, 1.0F);
             float scale = 32F;
             tessellator.startDrawingQuads();
-            tessellator.setColorOpaque_I(0x404040);
+            tessellator.setColorOpaque1i(0x404040);
             tessellator.addVertexWithUV(minX, maxY, 0.0D, (float) minX / scale, (float) maxY / scale);
             tessellator.addVertexWithUV(maxX, maxY, 0.0D, (float) maxX / scale, (float) maxY / scale);
-            tessellator.setColorOpaque_I(0x404040);
+            tessellator.setColorOpaque1i(0x404040);
             tessellator.addVertexWithUV(maxX, minY, 0.0D, (float) maxX / scale, (float) minY / scale);
             tessellator.addVertexWithUV(minX, minY, 0.0D, (float) minX / scale, (float) minY / scale);
             tessellator.draw();
